aboutsummaryrefslogtreecommitdiff
path: root/bin/build-25.sh
diff options
context:
space:
mode:
authorSelene ToyKeeper2015-09-14 13:18:06 -0600
committerSelene ToyKeeper2015-09-14 13:18:06 -0600
commitbe22a640834bd91cd9e49ccbea9d42e77c27f345 (patch)
tree785d76e83fa6c176affd312fa76f5e245087934f /bin/build-25.sh
parentAdded "-c -std=gnu99" to build script, made some small 'inline' changes to so... (diff)
parentMerged attiny25 support for blf-a6, battcheck, and offtime-cap. (diff)
downloadanduril-be22a640834bd91cd9e49ccbea9d42e77c27f345.tar.gz
anduril-be22a640834bd91cd9e49ccbea9d42e77c27f345.tar.bz2
anduril-be22a640834bd91cd9e49ccbea9d42e77c27f345.zip
merged trunk
Diffstat (limited to 'bin/build-25.sh')
-rwxr-xr-xbin/build-25.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/bin/build-25.sh b/bin/build-25.sh
new file mode 100755
index 0000000..9a3de00
--- /dev/null
+++ b/bin/build-25.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# Instead of using a Makefile, since most of the firmwares here build in the
+# same exact way, here's a script to do the same thing
+
+export PROGRAM=$1
+export ATTINY=25
+export MCU=attiny$ATTINY
+export CC=avr-gcc
+export OBJCOPY=avr-objcopy
+export CFLAGS="-Wall -g -Os -mmcu=$MCU -c -std=gnu99 -DATTINY=$ATTINY"
+export OFLAGS="-Wall -g -Os -mmcu=$MCU"
+export LDFLAGS=
+export OBJCOPYFLAGS='--set-section-flags=.eeprom=alloc,load --change-section-lma .eeprom=0 --no-change-warnings -O ihex'
+export OBJS=$PROGRAM.o
+
+function run () {
+ echo $*
+ $*
+ if [ x"$?" != x0 ]; then exit 1 ; fi
+}
+
+run $CC $CFLAGS -o $PROGRAM.o -c $PROGRAM.c
+run $CC $OFLAGS $LDFLAGS -o $PROGRAM.elf $PROGRAM.o
+run $OBJCOPY $OBJCOPYFLAGS $PROGRAM.elf $PROGRAM.hex
+run avr-size -C --mcu=$MCU $PROGRAM.elf | grep Full